List Countryʼs States

Returns a list of States belonging to a Country. A state or province, identifiable by an ISO 3166 subdivision code.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

country_idintegerRequired
Id of the country

Headers

AcceptstringRequiredDefaults to application/json

Query parameters

statestringOptional

Name of the state/province.

state_abbreviationstringOptional

Abbreviation for the state/province.

pagedoubleOptional
Number of pages.
limitdoubleOptional
Count per page.

Response

idinteger

Numeric ID of the state/province.

statestring

Name of the state/province.

state_abbreviationstring

Abbreviation for the state/province.

country_idinteger

Numeric ID of the state’s/province’s associated country.